﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="Form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <telerik:RadFileExplorer runat="server" ID="RadFileExplorer1" Width="500px" Height="300px"
            OnClientFileOpen="OnExplorerFileOpen" OnClientLoad="OnFileExplorerLoad">
            <Configuration ViewPaths="~/ROOT" DeletePaths="~/ROOT"
                UploadPaths="~/ROOT" />
        </telerik:RadFileExplorer>
    </div>
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript">
            function OnFileExplorerLoad(oExplorer, args)
            {
                // Get reference to the embedded RadWindowManager
                var oWindowManager = oExplorer.get_windowManager();

                // Attach a handler to the show event.
                // Every window that is opened by using this manager will have 'windowIsShownHandler' handler attached to its
                // OnClientShow event
                oWindowManager.add_show(windowIsShownHandler);
            }

            function OnExplorerFileOpen(oExplorer, args)
            {
                if (!args.get_item().isDirectory())
                {
                    setTimeout(function ()
                    {
                        var oWindowManager = oExplorer.get_windowManager();
                        var previewWinow = oWindowManager.getActiveWindow(); // Gets the current active widow.
                        previewWinow.setSize(500, 500); // resize the window
                        //previewWinow.maximize(); //alternatively, maximize it. You can use its entire API
                    }, 100);   // Some timeout is required in order to allow the window to become active
                }
            }

            // Called when an window is shown
            function windowIsShownHandler(oWindow, args)
            {
                setTimeout(function ()
                {
                    handleOpenedWindow(oWindow);
                }, 100);  // Some time out is required
            }

            function handleOpenedWindow(oWindow)
            {
                var oExplorer = $find("<%= RadFileExplorer1.ClientID %>");
                var windowTitile = oWindow.get_title();

                ////////////////////////////////////////////////////////////////////////////////////////
                /*
                Get the titles of the embedded radwindow objects. 
                */

                // The title set to the RadWindowManager is the title shown in the Upload dialog 
                // This code respects localization
                var uploadDialogTitle = oExplorer.get_windowManager().get_title();

                // The confirm dialog's title.
                // This title cannot be localized
                var deleteConfirmDialogTitle = "Delete";

                // The new folder dialog's title.
                // This code respects localization
                var newFolderDialogTitle = oExplorer.get_localization()["CreateNewFolder"];

                ////////////////////////////////////////////////////////////////////////////////////////


                switch (windowTitile)
                {
                    case uploadDialogTitle:
                        {// The upload dialog is opened
                            oWindow.setSize(500, 500);
                        };
                        break;
                    case deleteConfirmDialogTitle:
                        {// The delete confirmation dialog is opened
                            oWindow.set_behaviors(oWindow.get_behaviors() // get existing behaviors 
                            +
                            Telerik.Web.UI.WindowBehaviors.Pin); // add "Pin" behavior to the current behaviors
                        };
                        break;
                    case newFolderDialogTitle:
                        {// The create new folder dialog is opened
                            oWindow.set_behaviors(oWindow.get_behaviors() // get existing behaviors 
							+
						 Telerik.Web.UI.WindowBehaviors.Minimize); // add "Minimize" behavior to the current behaviors
                        };
                        break;
                }
            }
        </script>
    </telerik:RadScriptBlock>
    </form>
</body>
</html>
